org.jboss.resteasy.spi

## Interface Registry

- All Known Implementing Classes:
    ResourceMethodRegistry

      public interface Registry

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJndiResource(String jndiName)` Add a JAX-RS endpoint that exists in JNDI
    `void` | `addJndiResource(String jndiName, ResourceClass resourceClass)`
    `void` | `addJndiResource(String jndiName, ResourceClass resourceClass, String basePath)`
    `void` | `addJndiResource(String jndiName, String basePath)` Add a JAX-RS endpoint that exists in JNDI.
    `void` | `addPerRequestResource(Class<?> clazz)` Add a JAX-RS endpoint.
    `void` | `addPerRequestResource(Class<?> clazz, String basePath)` Add a JAX-RS endpoint.
    `void` | `addPerRequestResource(ResourceClass clazz)`
    `void` | `addPerRequestResource(ResourceClass clazz, String basePath)`
    `void` | `addResourceFactory(ResourceFactory ref)` Add a custom resource implementation endpoint.
    `void` | `addResourceFactory(ResourceFactory ref, String basePath)` Add a custom resource implementation endpoint.
    `void` | `addResourceFactory(ResourceFactory ref, String base, Class<?> clazz)` ResourceFactory.getScannableClass() is not used, only the clazz parameter and not any implemented interfaces of the clazz parameter.
    `void` | `addResourceFactory(ResourceFactory ref, String base, Class<?>[] classes)`
    `void` | `addResourceFactory(ResourceFactory rf, String base, ResourceClass resourceClass)`
    `void` | `addSingletonResource(Object singleton)` Add a JAX-RS endpoint.
    `void` | `addSingletonResource(Object singleton, ResourceClass resourceClass)`
    `void` | `addSingletonResource(Object singleton, ResourceClass resourceClass, String basePath)`
    `void` | `addSingletonResource(Object singleton, String basePath)` Add a JAX-RS endpoint.
    `ResourceInvoker` | `getResourceInvoker(HttpRequest request)`
    `int` | `getSize()`
    `void` | `removeRegistrations(Class<?> clazz)`
    `void` | `removeRegistrations(Class<?> clazz, String base)`
    `void` | `removeRegistrations(ResourceClass resourceClass)`

- - ### Method Detail

    - #### addPerRequestResource

          void addPerRequestResource(Class<?> clazz)

      Add a JAX-RS endpoint. Objects of clazz will be created and destroy and the beginning/end of every request
      Parameters:
        `clazz` -

    - #### addPerRequestResource

          void addPerRequestResource(Class<?> clazz,
                                   String basePath)

      Add a JAX-RS endpoint. Objects of clazz will be created and destroy and the beginning/end of every request
      Parameters:
        `clazz` -
        `basePath` - prefix path of resource

    - #### addSingletonResource

          void addSingletonResource(Object singleton)

      Add a JAX-RS endpoint.
      Parameters:
        `singleton` -

    - #### addSingletonResource

          void addSingletonResource(Object singleton,
                                  String basePath)

      Add a JAX-RS endpoint.
      Parameters:
        `singleton` -
        `basePath` - prefix path of resource

    - #### addJndiResource

          void addJndiResource(String jndiName)

      Add a JAX-RS endpoint that exists in JNDI
      Parameters:
        `jndiName` -

    - #### addJndiResource

          void addJndiResource(String jndiName,
                             String basePath)

      Add a JAX-RS endpoint that exists in JNDI.
      Parameters:
        `jndiName` -
        `basePath` - prefix path of resource

    - #### addResourceFactory

          void addResourceFactory(ResourceFactory ref)

      Add a custom resource implementation endpoint.
      Parameters:
        `ref` -

    - #### addResourceFactory

          void addResourceFactory(ResourceFactory ref,
                                String basePath)

      Add a custom resource implementation endpoint.
      Parameters:
        `ref` -
        `basePath` - prefix path of resource

    - #### addResourceFactory

          void addResourceFactory(ResourceFactory ref,
                                String base,
                                Class<?> clazz)

      ResourceFactory.getScannableClass() is not used, only the clazz parameter and not any implemented interfaces of the clazz parameter.
      Parameters:
        `ref` -
        `base` - base URI path for any resources provided by the factory, in addition to rootPath
        `clazz` - specific class

    - #### addResourceFactory

          void addResourceFactory(ResourceFactory ref,
                                String base,
                                Class<?>[] classes)

    - #### removeRegistrations

          void removeRegistrations(Class<?> clazz)

    - #### removeRegistrations

          void removeRegistrations(Class<?> clazz,
                                 String base)

    - #### getSize

          int getSize()

    - #### getResourceInvoker

          ResourceInvoker getResourceInvoker(HttpRequest request)

    - #### addResourceFactory

          void addResourceFactory(ResourceFactory rf,
                                String base,
                                ResourceClass resourceClass)

    - #### removeRegistrations

          void removeRegistrations(ResourceClass resourceClass)

    - #### addPerRequestResource

          void addPerRequestResource(ResourceClass clazz)

    - #### addPerRequestResource

          void addPerRequestResource(ResourceClass clazz,
                                   String basePath)

    - #### addSingletonResource

          void addSingletonResource(Object singleton,
                                  ResourceClass resourceClass)

    - #### addSingletonResource

          void addSingletonResource(Object singleton,
                                  ResourceClass resourceClass,
                                  String basePath)

    - #### addJndiResource

          void addJndiResource(String jndiName,
                             ResourceClass resourceClass)

    - #### addJndiResource

          void addJndiResource(String jndiName,
                             ResourceClass resourceClass,
                             String basePath)

Copyright © 2014. All Rights Reserved.